Summary:        Cross platform C++ game library
Name:           ClanLib
Version:        0.8.0
Release:        11%{?dist}
Group:          System Environment/Libraries
License:        zlib
URL:            http://www.clanlib.org/
Source0:        http://www.clanlib.org/download/releases-0.8/%{name}-%{version}.tgz
# Prebuild docs to avoid multilib conflicts. To regenerate, build and install
# ClanLib without passing --disable-docs (requires perl, libxslt) and then:
# mv $RPM_BUILD_ROOT%{_datadir}/doc/clanlib html
# tar cvfz ClanLib-%{version}-generated-docs.tar.gz html
Source1:        ClanLib-%{version}-generated-docs.tar.gz
Patch0:         ClanLib-0.8.0-fullscreen.patch
Patch1:         ClanLib-0.8.0-tex-format.patch
Patch2:         ClanLib-0.8.0-gcc43.patch
Patch3:         ClanLib-0.8.0-alsa.patch
Patch4:         ClanLib-0.8.0-memset.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libX11-devel libXi-devel libXmu-devel libGLU-devel libICE-devel
BuildRequires:  libXext-devel libXxf86vm-devel libXt-devel xorg-x11-proto-devel
BuildRequires:  libvorbis-devel mikmod-devel SDL-devel SDL_gfx-devel
BuildRequires:  libpng-devel libjpeg-devel
Provides:       clanlib = %{version}-%{release}

%description
ClanLib is a cross platform C++ game library.


%package devel
Summary:        Development Libraries and Headers for ClanLib
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       libGLU-devel xorg-x11-proto-devel pkgconfig
Provides:       clanlib-devel = %{version}-%{release}

%description devel
ClanLib development headers and libraries


%prep
%setup -q -a 1
%patch0 -p1 -z .fs
%patch1 -p1 -z .texfmt
%patch2 -p1 -z .gcc43
%patch3 -p1 -z .alsa
%patch4 -p1 -z .memset
# fixup pc files
sed -i 's|libdir=${exec_prefix}/lib|libdir=@libdir@|' pkgconfig/clan*.pc.in
sed -i 's|Libs:   -L${libdir}|Libs:   -L${libdir}/%{name}-0.8|' \
  pkgconfig/clan*.pc.in


%build
%configure --disable-dependency-tracking --disable-static --enable-dyn \
  --disable-docs
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/*.la
# put .so links in a subdir of %{libdir} so they don't conflict with
# ClanLib06-devel .so links. The pkg-config files are patches to transparently
# handle this for applications using us.
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}-0.8
mv $RPM_BUILD_ROOT%{_libdir}/*.so $RPM_BUILD_ROOT%{_libdir}/%{name}-0.8
for i in $RPM_BUILD_ROOT%{_libdir}/%{name}-0.8/*; do
  ln -sf ../`readlink $i` $i
done


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING CREDITS NEWS TODO-RSN
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc README README.kdevelop README.sdl README.upgrade html
%{_libdir}/%{name}-0.8
%{_includedir}/%{name}-0.8
%{_libdir}/pkgconfig/clan*.pc


%changelog
* Sat Mar  8 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.8.0-11
- Add a patch from Dave Jones fixing various wrong invocations of memset

* Sun Mar  2 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.8.0-10
- Add support for audio output through alsa (original ClanLib only supports
  OSS??), this also adds support for using pulseaudio through alsa

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.8.0-9
- Autorebuild for GCC 4.3

* Fri Jan  4 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.8.0-8
- Fix building with gcc 4.3

* Sun Oct 21 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.8.0-7
- Fix multilib conflicts in generated Reference documentation (bz 340851)

* Fri Aug  3 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.8.0-6
- Update License tag for new Licensing Guidelines compliance

* Tue Jun 19 2007 Matthias Saou <http://freshrpms.net/> 0.8.0-5
- Rebuild against SDL_gfx 2.0.16.

* Sat Mar 31 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.8.0-4
- Fix some stupidness in the OpenGL surface code, which triggers an obscure
  bug in mesa-6.5.2, as a bonus the OpenGL surface's should be somewhat faster
  now. Details: https://bugs.freedesktop.org/show_bug.cgi?id=10491

* Sun Oct  8 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.8.0-3
- Rewrote ClanLib fullscreen handling to fix an issue where a part of the
  window decoration show in fullscreen mode on certain videocards

* Mon Aug 28 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.8.0-2
- FE6 Rebuild

* Sun Aug 13 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.8.0-1
- 0.8.0 final, warning ABI changed without soname change!
- Drop both our patches (both upstreamed)

* Wed Jul 26 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.8.0-0.6.RC2
- Add missing Requires: pkgconfig to -devel package

* Tue Jul 25 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.8.0-0.5.RC2
- Add libXt-devel BR to fix X detection on FC-5, sorry about all these
  missing BRs and Requires.

* Tue Jul 25 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.8.0-0.4.RC2
- Add libGLU-devel to the BuildRequires to fix build on FC-5
- Add missing Requires: libGLU-devel xorg-x11-proto-devel to -devel package

* Tue Jul 25 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.8.0-0.3.RC2
- Add libXi-devel to the BuildRequires so that clanGL gets build

* Fri Jul 21 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.8.0-0.2.RC2
- Change License: to "zlib License" as 0.8 is under the zlib License not the
  LGPL (0.6 is LGPL).
- Add a patch from pingus contrib dir which adds support for the grave key
- Add libXmu-devel to the BuildRequires

* Wed Jul 19 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.8.0-0.1.RC2
- Initial FE version based on the newrpms SRPM by Che.
